open Printf

let () =
  let argc = Array.length Sys.argv in
  if argc <> 2 then begin
    eprintf "Usage: %s <FILE>\n" Sys.argv.(0);
    exit 1
  end;
  let file = Frontc.parse Sys.argv.(1) () in
  Rmtmps.removeUnusedTemps file
