open Printf

let () =
  let argc = Array.length Sys.argv in
  if argc <> 2 then begin
    eprintf "Usage: %s <FILE>\n" Sys.argv.(0);
    exit 1
  end;
  let file = open_in_bin Sys.argv.(1) in
  let ast : Cil.file = Marshal.from_channel file in
  ignore ast
