open Printf
open Pxp_yacc

let () =
  let argc = Array.length Sys.argv in
  if argc <> 2 then begin
    eprintf "Usage: %s <FILE>\n" Sys.argv.(0);
    exit 1
  end;
  let conf = default_config in
  let src = from_file Sys.argv.(1) in
  let spec = default_spec in
  ignore (parse_wfdocument_entity conf src spec)
